Menu
Reply
CramB
  • 9
  • 1
  • 3
Tuning in
844 Views
Message 1 of 8
Flag for a moderator

Firefox update required

After no problems watching TV Go on Firefox as a browser,  TV Go is now telling me I need to update it and restart.

Problem is, it is up to date. I've tried legacy versions of it but same message

Screen Shot 2021-06-10 at 12.18.01.pngScreen Shot 2021-06-10 at 12.31.42.pngScreen Shot 2021-06-10 at 12.18.01.png

0 Kudos
Reply
newapollo
  • 10.54K
  • 1.45K
  • 3.12K
Very Insightful Person
Very Insightful Person
833 Views
Message 2 of 8
Flag for a moderator

Re: Firefox update required

Hi CramB,

The latest version of Firefox is 89.0 (64 bit)

I notice you are using the ESR version (Extended Support Release)

If you uninstall that and then install the regular Firefox browser then TV Go should work.

Maybe export your favourites/bookmarks first, or copy them to another browser so you can import them into the regular version of Firefox.

Or try using Chrome or Edge instead.

Clipboard01.jpg

 

Dave

The Service you do for others is the rent you pay for your room here on Earth - Muhammad Ali


I don't work for Virgin Media.

I'm a Very Insightful Person, I'm here to share knowledge. Learn more

Problem solved? Click to mark as a Helpful Answer, or use Kudos to say thanks

The do's and don'ts. Keep the community welcoming for all. Follow the house rules
0 Kudos
Reply
CramB
  • 9
  • 1
  • 3
Tuning in
826 Views
Message 3 of 8
Flag for a moderator

Re: Firefox update required

I'll give it a try although previous version were ESR too, it's only just happened on this latest update

0 Kudos
Reply
CramB
  • 9
  • 1
  • 3
Tuning in
814 Views
Message 4 of 8
Flag for a moderator

Re: Firefox update required

No, alas, that didn’t work

0 Kudos
Reply
CramB
  • 9
  • 1
  • 3
Tuning in
763 Views
Message 5 of 8
Flag for a moderator
Helpful Answer

Re: Firefox update required

So if anyone else has this problem, here is the solution provided by the forum at Mozilla:

 

Try to install this extension and select Firefox 89 for this site.

Megan_L
  • 2.76K
  • 166
  • 296
Forum Team
Forum Team
748 Views
Message 6 of 8
Flag for a moderator

Re: Firefox update required

Hi CramB,

Thanks for using the forums to get this issue with your browser and TV GO sorted, I am sorry if it was causing some frustration!

Looking at your latest post, am I correct in thinking you managed to find a solution yourself? 

If not, I will still be happy to help 🙂

Thanks,

Megan_L

0 Kudos
Reply
CramB
  • 9
  • 1
  • 3
Tuning in
741 Views
Message 7 of 8
Flag for a moderator

Re: Firefox update required

Yes, the solution I found has worked 

0 Kudos
Reply
Megan_L
  • 2.76K
  • 166
  • 296
Forum Team
Forum Team
732 Views
Message 8 of 8
Flag for a moderator

Re: Firefox update required

Hi CramB, 

Thanks for confirming that for me and also for signposting the solution on this thread for other users, I have marked your post with the link as a helpful answer so it's easier to see for them. If you need any other help with your services please let us know 🙂

Thanks,

Megan_L

0 Kudos
Reply